Release information

Network Security Platform follows a release process that is based on customer requirements and best practices followed by other McAfee teams. For details, read KB78795.

Release parameters Version
Network Security Manager software version 9.1.7.77
Signature Set 9.8.44.1
Virtual IPS Sensor software (ESXi) version 9.1.7.22
Note: Manager software version 9.1 is not supported on McAfee-built Dell-based Manager Appliances. McAfee recommends that you use Intel-based Manager Appliances instead.

Upgrade support

McAfee regularly releases updated versions of the signature set. You can choose to automatically download and deploy the signature set in the Manager.

Manager

Upgrade path for Manager installed on Windows:

Current version Upgrade path to 9.1
8.1.3.4, 8.1.3.6, 8.1.7.5, 8.1.7.12, 8.1.7.13 8.1.7.105 | 9.1.7.77
8.1.7.33, 8.1.7.52, 8.1.7.82, 8.1.7.91, 8.1.7.96, 8.1.7.100, 8.1.7.105 9.1.7.77
8.3.7.7, 8.3.7.28, 8.3.7.44, 8.3.7.52, 8.3.7.64, 8.3.7.68, 8.3.7.86 9.1.7.77
9.1.7.11, 9.1.7.15, 9.1.7.49, 9.1.7.63, 9.1.7.73, 9.1.7.75 9.1.7.77
Note: All intermediate Manager versions including Hotfixes below 8.1.7.33 must upgrade to 8.1.7.105 before upgrading to the latest 9.1 Manager version. All Manager versions above 8.1.7.33 can directly upgrade to the latest 9.1 Manager version.

Upgrade path for Manager installed on Linux Manager Appliance:

Current version Upgrade path to 9.1
9.1.7.49, 9.1.7.63, 9.1.7.73
Note: To upgrade from the above mentioned Manager versions, use setup.bin.unsigned upgrade file.
9.1.7.77
9.1.7.75
Note: To upgrade from the above mentioned Manager version, use setup.bin upgrade file.
9.1.7.77

Virtual IPS Sensor software ESXi: (IPS-VM600)

Component Upgrade path to 9.1
8.0.7.9, 8.1.7.14, 8.1.7.32, 8.1.7.34, 8.1.7.44, 8.1.7.47 9.1.7.22
8.3.7.3, 8.3.7.6, 8.3.7.14, 8.3.7.47, 8.3.7.55, 8.3.7.56, 8.3.7.59 9.1.7.22
9.1.7.4, 9.1.7.12, 9.1.7.13, 9.1.7.18 9.1.7.22

Note: All intermediate Sensor software versions for Virtual IPS including Hotfixes can directly upgrade to the latest 9.1 Sensor software version.

Heterogeneous support

This version of 9.1 Manager software can be used to configure and manage the following devices:

Note: New Sensor image for IPS-VM100 and IPS-VM100-VSS Sensor models are not supported from Sensor software version 9.1.7.12.
Note: Virtual IPS Sensor model IPS-VM100-VSS for VMware NSX environment is no longer supported.
Device Version
NS-series Sensors (NS3100, NS3200, NS5100, NS5200, NS7100, NS7200, NS7300, NS9100, NS9200, NS9300) 8.1, 8.3, 9.1
NS-series Sensors (NS7150, NS7250, NS7350) 9.1
Virtual IPS for ESXi server (IPS-VM100, IPS-VM600)
  • IPS-VM100: 8.1, 8.3, 9.1
  • IPS-VM600: 8.1, 8.3, 9.1
Virtual IPS for KVM (IPS-VM100, IPS-VM600) 8.3
Virtual IPS for AWS (IPS-VM100-VSS, IPS-VM600-VSS)
  • IPS-VM100-VSS: 8.3, 9.1
  • IPS-VM600-VSS: 9.1
M-series Sensors (M-1250, M-1450, M-2850, M-2950, M-3050, M-4050, M-6050, M-8000) 8.1, 8.3, 9.1
Mxx30-series Sensors (M-3030, M-4030, M-6030, M-8030) 8.1, 8.3, 9.1
M-8000XC Cluster Appliance 8.1, 8.3, 9.1
NTBA Appliances (T-600, T-1200) 8.1, 8.3, 9.1
Virtual NTBA Appliances (T-VM, T-100VM, T-200VM) 8.1, 8.3, 9.1

Integration support

The above mentioned Network Security Platform software versions support integration with the following product versions:

Note: Starting with Manager release 9.1.7.63, integration with McAfee Cloud Threat Defense is no longer supported.
Product Version supported
McAfee ePO™ 5.10.0, 5.9.1
McAfee Global Threat Intelligence™ Compatible with all versions
McAfee Endpoint Intelligence Agent 3.2.0
McAfee Logon Collector 3.0.9
McAfee Threat Intelligence Exchange 2.1.1, 2.3.1
McAfee Data Exchange Layer 4.1.1
McAfee Advanced Threat Defense 4.6.2
McAfee Virtual Advanced Threat Defense 4.6.2
McAfee Vulnerability Manager 7.5
McAfee Host Intrusion Prevention 8.0